Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jeptests
Class BugsTest

    java.lang.Object
      com.singularsys.jeptests.BugsTest

    public class BugsTest

extends java.lang.Object

This class is intended to contain all tests related to reported bugs.

Author:
  Nathan Funk

Constructor Summary
`BugsTest()`

Method Summary
`void` | `setUp()`
`void` | `test2008_08_13()` Fails as the minus sign is actually unicode U+2013 TODO maybe should allow alternative symbols
`void` | `test2008_08_14_switch()`
`void` | `testBug2008_09_12()`
`void` | `testBug28()`
`void` | `testBug49()` Tests bug 49.
`void` | `testBug72()` Test bug #72 Handling of Constants.
`void` | `testBug84()`
`void` | `testFractalBug()` Tests a bug that lead the FractalCanvas example to fail
`void` | `testSetAllowUndeclared()` Tests bug [ 1585128 ] setAllowUndeclared does not work!!!
`void` | `testToBase()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BugsTest

    public BugsTest()

Method Detail

### setUp

    public void setUp()

### testFractalBug

    public void testFractalBug()
                        throws java.lang.Exception

  Tests a bug that lead the FractalCanvas example to fail. (09/04/2007)

  Throws:
    `java.lang.Exception`

### testSetAllowUndeclared

    public void testSetAllowUndeclared()

  Tests bug [ 1585128 ] setAllowUndeclared does not work!!! setAllowedUndeclared should add variables to the symbol table. This test parses the expression "x" and checks whether only the variable x is in the symbol table (no more no less)

### testBug49

    public void testBug49()

  Tests bug 49. Adding an operator such as "AND" does not work. Instead of being interpreted as and operator it is parsed as a variable.

### testBug72

    public void testBug72()

  Test bug #72 Handling of Constants. Sets a constant and then tries to set the value again. The bug was that addVariable failed silently, and the fix was to add exception throwing to addVariable.

### test2008_08_13

    public void test2008_08_13()
                        throws java.lang.Exception

  Fails as the minus sign is actually unicode U+2013 TODO maybe should allow alternative symbols

  Throws:
    `java.lang.Exception`

### test2008_08_14_switch

    public void test2008_08_14_switch()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testToBase

    public void testToBase()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBug2008_09_12

    public void testBug2008_09_12()
                           throws ParseException

  Throws:
    `ParseException`

### testBug84

    public void testBug84()
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBug28

    public void testBug28()
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep